cgGetArrayTotalSize(3)

NAME
cgGetArrayTotalSize - get the total size of an array parameter

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetArrayTotalSize( CGparameter param );

PARAMETERS

param
    The array parameter handle.

RETURN VALUES
Returns the total size of param if pararm is an array.

Returns 0 if param is not an array, or if an error occurs.

DESCRIPTION
cgGetArrayTotalSize returns the total number of elements of the array specified by param. The total number of elements is equal to the product of the size of each dimension of the array.

EXAMPLES
Given a handle to a parameter declared as:

float2x3 array[6][1][4];

cgGetArrayTotalSize will return 24.

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetArrayTotalSize was introduced in Cg 1.4.

SEE ALSO
the cgGetArraySize manpage, the cgGetArrayDimension manpage, the cgGetArrayParameter manpage